/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/index.js":
/*!**********************!*\
  !*** ./src/index.js ***!
  \**********************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @wordpress/element */ "@wordpress/element");
/* harmony import */ var _wordpress_element__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__);

const {
  registerPlugin
} = wp.plugins;
const {
  PluginDocumentSettingPanel
} = wp.editPost;
const {
  Button,
  Panel,
  PanelBody,
  PanelRow
} = wp.components;
const {
  __
} = wp.i18n;

if (config.auto_index_activate == 'on' && config.api_key_indexmenow != '') {
  wp.data.subscribe(function () {
    const currentPost = wp.data.select('core/editor').getCurrentPost();
    const isSavingPost = wp.data.select('core/editor').isSavingPost();
    const isPublishingPost = wp.data.select('core/editor').isPublishingPost();
    const isAutosavingPost = wp.data.select('core/editor').isAutosavingPost();

    if (isSavingPost && isPublishingPost && !isAutosavingPost) {
      console.log(currentPost);
      const params = {
        method: 'POST'
      };
      fetch('../wp-json/indexmenow/v1/api_indexmenow/' + currentPost.id, params).then(response => response.json()).then(responseData => {
        if (responseData.data.credits > 0) {
          wp.data.dispatch('core/editor').editPost({
            meta: {
              manual_indexmenow: true
            }
          });
          wp.data.dispatch('core/editor').editPost({
            meta: {
              indexmenow_id_project: responseData.data.id_project
            }
          });
          wp.data.dispatch('core/editor').savePost();
        } else {
          wp.data.dispatch('core/notices').createNotice('error', __('You don\'t have enough credits. Reload your account', 'indexmenow'), {
            id: 'erreur',
            isDismissible: false
          });
        }
      });
    }
  });
}

const handleClick = () => {
  const currentPost = wp.data.select('core/editor').getCurrentPost();
  const params = {
    method: 'POST'
  };
  fetch('../wp-json/indexmenow/v1/api_indexmenow/' + currentPost.id, params).then(response => response.json()).then(responseData => {
    if (responseData.data.credits > 0) {
      wp.data.dispatch('core/editor').editPost({
        meta: {
          manual_indexmenow: true
        }
      });
      wp.data.dispatch('core/editor').editPost({
        meta: {
          indexmenow_id_project: responseData.data.id_project
        }
      });
      wp.data.dispatch('core/editor').savePost();
      wp.data.dispatch('core/notices').createNotice('success', __('URL sent for indexing', 'indexmenow'), {
        id: 'erreur',
        isDismissible: false
      });
    } else {
      wp.data.dispatch('core/notices').createNotice('error', __('You don\'t have enough credits. Reload your account', 'indexmenow'), {
        id: 'erreur',
        isDismissible: false
      });
    }
  });
};

const button_manual = () => {
  const isSavingPost = wp.data.select('core/editor').isSavingPost();
  const currentPost = wp.data.select('core/editor').getCurrentPost();
  const meta = wp.data.select('core/editor').getEditedPostAttribute('meta');
  const meta_id_project = meta['indexmenow_id_project'];
  const url = 'https://tool.indexmenow.com/project/' + meta_id_project;
  const url_project = Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("a", {
    href: url,
    target: "_blank"
  }, config.project_name);
  const yesNo = config.auto_index_activate == 'on' ? __('Yes', 'indexmenow') : __('No', 'indexmenow');
  const notification_send_autoindex = config.auto_index_activate == 'on' ? __('Send automatically after publication :', 'indexmenow') : __('Send automatically after publication :', 'indexmenow');
  const config_url = Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("a", {
    href: config.admin_url_page_indexmenow
  }, __('Edit', 'indexmenow'));

  if (config.api_key_indexmenow != '' && config.statut_indexmenow_api == 'OK') {
    if (currentPost.meta.manual_indexmenow == true && currentPost.status == "publish") {
      return Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["Fragment"], null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('Manual indexation :', 'indexmenow'))), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("span", {
        class: "indexmenow_success"
      }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('URL sent for indexing on ', 'indexmenow'), " ", Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("a", {
        href: "http://indexmenow.com/",
        target: "_blank"
      }, "indexmenow.com"), " ", __('in this project', 'indexmenow'), "  :  ", url_project, " ")), " "), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", {
        class: "text-right"
      }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(Button, {
        isPrimary: true,
        isLarge: true,
        className: "components-button indexmenow-panel",
        onClick: handleClick
      }, __('Resend this URL', 'indexmenow'))), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('Automatic indexing :', 'indexmenow'))), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, notification_send_autoindex, " ", Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, " ", yesNo, " "), " ", config_url, " "));
    } else if (currentPost.status != "publish") {
      return Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("span", {
        class: "indexmenow_notices_gutenberg"
      }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('You must publish the article or page in order to send the URL of the article to be indexed.', 'indexmenow'), " "));
    } else {
      return Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["Fragment"], null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('Manual indexation :', 'indexmenow'))), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("span", {
        class: "indexmenow_notices_gutenberg "
      }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('Send this URL to Google for indexing or updating ?', 'indexmenow')), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("br", null), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("a", {
        href: currentPost.link,
        class: "wrap_link"
      }, currentPost.link))), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", {
        class: "text-right"
      }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(Button, {
        isPrimary: true,
        isLarge: true,
        className: "components-button indexmenow-panel",
        onClick: handleClick
      }, __('Send this URL', 'indexmenow'))), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('Automatic indexing :', 'indexmenow'))), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("p", null, notification_send_autoindex, " ", Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, " ", yesNo, " "), " ", config_url, " "));
    }
  } else if (currentPost.status != "publish") {
    return Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("span", {
      class: "indexmenow_notices_gutenberg"
    }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('You must publish the article or page in order to send the URL of the article to be indexed.', 'indexmenow'), " "));
  } else if (config.api_key_indexmenow != '' && config.statut_indexmenow_api == 'KO' && config.code_error_indexmenow_api == 401) {
    return Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("span", {
      class: "indexmenow_error"
    }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('API KEY : Error', 'indexmenow'), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("br", null), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("a", {
      href: config.admin_url_page_indexmenow
    }, __('Corrected your API key', 'indexmenow'))));
  } else if (config.api_key_indexmenow == '' && config.statut_indexmenow_api == 'KO') {
    return Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("span", {
      class: "indexmenow_error"
    }, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("strong", null, __('API KEY : Missing', 'indexmenow'), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("br", null), Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])("a", {
      href: config.admin_url_page_indexmenow
    }, __('Add your API key', 'indexmenow'))));
  }
};

registerPlugin('indexmenow-sidebar', {
  icon: 'saved',
  render: () => {
    return Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["Fragment"], null, Object(_wordpress_element__WEBPACK_IMPORTED_MODULE_0__["createElement"])(PluginDocumentSettingPanel, {
      name: "indexmenow-panel",
      title: "IndexMeNow",
      className: "manual-button-indexmenow"
    }, button_manual));
  }
});

/***/ }),

/***/ "@wordpress/element":
/*!*********************************!*\
  !*** external ["wp","element"] ***!
  \*********************************/
/*! no static exports found */
/***/ (function(module, exports) {

(function() { module.exports = window["wp"]["element"]; }());

/***/ })

/******/ });
//# sourceMappingURL=index.js.map