
<div class="wrap">
<h1><?php echo esc_html($title) ?></h1>
<p>
    <?php 
        $args =[
            'a'=>[
                'href'=>array()
            ]
        ];
         echo wp_kses($description,$args) 
    ?>
</p>
    <form method="post" action="<?php echo esc_html( admin_url( 'admin-post.php' ) ); ?>">

        <div id="reglage-container">

            <div class="options">
                <p>
                    <label><?php _e('API KEY','indexmenow') ?> : </label>
                    <input type="text" name="api-key" value="<?php if(get_option('data_indexmenow_api','indexmenow')){ echo get_option('data_indexmenow_api','indexmenow');} ?>" style="width:70%"/>
                </p>
                <p>
                    <label><?php _e('Available credit','indexmenow') ?> :</label>
                    <input type="text" name="api-key-credit" value="<?php if(get_option('credit_indexmenow_api')){ echo get_option('credit_indexmenow_api','indexmenow');} ?>" disabled/>
                </p>
                <p>
                    <input type="checkbox" name="auto-index" id="auto-index" <?php if(get_option('data_indexmenow_auto') =='on'){ echo 'checked';} ?> />
                    <label for="auto-index"><?php _e('Automatically send articles or pages for indexing when the article or page goes to « published » status','indexmenow') ?><br> <?php _e('Automatic checks of articles published for posting on indexmenow.com are performed every 30 minutes.','indexmenow') ?></label>
                </p>
        </div>
        <?php
            wp_nonce_field( 'auto-index-save', 'auto-index-setting' );
            submit_button();
        ?>

    </form>
</div>